org.eclipse.graphiti.ui.internal.parts

## Class ConnectionDecoratorEditPart

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractEditPart
  - - org.eclipse.gef.editparts.AbstractGraphicalEditPart
    - - org.eclipse.graphiti.ui.platform.GraphitiShapeEditPart
      - - org.eclipse.graphiti.ui.internal.parts.ShapeEditPart
        - - org.eclipse.graphiti.ui.internal.parts.ConnectionDecoratorEditPart

All Implemented Interfaces:
  IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants, IFeatureProviderHolder, IConfigurationProviderHolder, IAnchorContainerEditPart, IConnectionDecoratorEditPart, IPictogramElementEditPart, IShapeEditPart

    public class ConnectionDecoratorEditPart
    extends ShapeEditPart
    implements IConnectionDecoratorEditPart

The Class ConnectionDecoratorEditPart.

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionDecoratorEditPart(IConfigurationProviderInternal configurationProvider, Shape shape)` The Constructor.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.ShapeEditPart

`activate, deactivate, delayDirectEditing, deleteChildAndRefresh, getAdapter, getConfigurationProvider, getDragTracker, getFeatureProvider, getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate, getRoot, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetEditPart, isSelectable, performRequest, refresh, refreshDecorators, showSourceFeedback, switchToDirectEditingMode, toString`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, addNotify, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, removeNotify, setLayoutConstraint`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getSelected, getViewer, hasFocus, installEditPolicy, isActive, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showTargetFeedback, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getSelected, getViewer, hasFocus, installEditPolicy, isActive, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showTargetFeedback, understandsRequest`

### Constructor Detail

#### ConnectionDecoratorEditPart

    public ConnectionDecoratorEditPart(IConfigurationProviderInternal configurationProvider,
                                       Shape shape)

The Constructor.

Parameters:
  `configurationProvider` - the configuration provider
  `shape` - the shape